include:
  - project: flywheel-io/tools/etc/qa-ci
    file: ci/app.yml
    ref: b8225556f376e0cecaef39b495c31a2c4acbd354

variables:
  FW_COMPONENT: deid-log

test:pre-commit:
  extends: .test:pre-commit
  services:
    - docker:dind
    - postgres:12-alpine
    - mysql:5
  variables:
    TEST_DB_URLS: "sqlite:///:memory:
      postgresql://user:pass@postgres:5432/db
      mysql://user:pass@mysql:3306/db"
    POSTGRES_DB: db
    POSTGRES_USER: user
    POSTGRES_PASSWORD: pass
    POSTGRES_HOST_AUTH_METHOD: trust
    MYSQL_DATABASE: db
    MYSQL_USER: user
    MYSQL_PASSWORD: pass
    MYSQL_ROOT_PASSWORD: root
